buffer_data Struct Reference

## Data Fields

struct buffer_data * | next
size_t | cp
size_t | sp
unsigned char | data [0]

## Field Documentation

## cp

size_t buffer_data::cp

Referenced by buffer_add(), and buffer_flush_available().

## data

unsigned char buffer_data::data[0]

Referenced by buffer_flush_available().

## next

struct buffer_data* buffer_data::next

Referenced by buffer_add(), buffer_flush_available(), and buffer_reset().

## sp

size_t buffer_data::sp

Referenced by buffer_add(), buffer_flush_all(), and buffer_flush_available().

The documentation for this struct was generated from the following file:

- src/vty/buffer.c